summaryrefslogtreecommitdiffstats
path: root/system/fio
diff options
context:
space:
mode:
author Binh Nguyen <binhnguyen@fastmail.fm>2012-04-20 16:20:12 -0400
committer dsomero <xgizzmo@slackbuilds.org>2012-04-20 16:20:12 -0400
commite8417c3243273c4ebe3a8df6413e2265a1ce90b4 (patch)
treecfc744ff6ad6c36559021620cf7446f7f73fd487 /system/fio
parentc789f6800bec721a792f4f44ed612a0e2c383631 (diff)
downloadslackbuilds-e8417c3243273c4ebe3a8df6413e2265a1ce90b4.tar.gz
slackbuilds-e8417c3243273c4ebe3a8df6413e2265a1ce90b4.tar.xz
system/fio: Added (Flexible I/O Tester)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'system/fio')
-rw-r--r--system/fio/README10
-rw-r--r--system/fio/fio.SlackBuild87
-rw-r--r--system/fio/fio.info10
-rw-r--r--system/fio/slack-desc19
4 files changed, 126 insertions, 0 deletions
diff --git a/system/fio/README b/system/fio/README
new file mode 100644
index 0000000000..c82de43832
--- /dev/null
+++ b/system/fio/README
@@ -0,0 +1,10 @@
+fio is an I/O tool meant to be used both for benchmark and stress/hardware
+verification. It has support for 13 different types of I/O engines (sync,
+mmap, libaio, posixaio, SG v3, splice, null, network, syslet, guasi,
+solarisaio, and more), I/O priorities (for newer Linux kernels), rate I/O,
+forked or threaded jobs, and much more. It can work on block devices as well
+as files. fio accepts job descriptions in a simple-to-understand text format.
+Several example job files are included. fio displays all sorts of I/O
+performance information. Fio is in wide use in many places, for both
+benchmarking, QA, and verification purposes. It supports Linux, FreeBSD,
+NetBSD, OS X, OpenSolaris, AIX, HP-UX, and Windows.
diff --git a/system/fio/fio.SlackBuild b/system/fio/fio.SlackBuild
new file mode 100644
index 0000000000..c5915fff5b
--- /dev/null
+++ b/system/fio/fio.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for fio
+
+# Copyright 2012 Binh Nguyen <binhnguyen@fastmail.fm>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=fio
+VERSION=${VERSION:-2.0.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make install DESTDIR=$PKG prefix="/usr"
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING HOWTO README REPORTING-BUGS examples/ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/fio/fio.info b/system/fio/fio.info
new file mode 100644
index 0000000000..9f47479fc8
--- /dev/null
+++ b/system/fio/fio.info
@@ -0,0 +1,10 @@
+PRGNAM="fio"
+VERSION="2.0.7"
+HOMEPAGE="http://freecode.com/projects/fio"
+DOWNLOAD="http://brick.kernel.dk/snaps/fio-2.0.7.tar.bz2"
+MD5SUM="7ee0b0160c45e93e6aba4d95ca76586a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Binh Nguyen"
+EMAIL="binhnguyen@fastmail.fm"
+APPROVED="dsomero"
diff --git a/system/fio/slack-desc b/system/fio/slack-desc
new file mode 100644
index 0000000000..c3f2f73fe1
--- /dev/null
+++ b/system/fio/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+fio: fio (Flexible I/O Tester)
+fio:
+fio: fio is an I/O tool meant to be used both for benchmark and
+fio: stress/hardware verification. It has support for 13 different types of
+fio: I/O engines (sync, mmap, libaio, posixaio, SG v3, splice, null,
+fio: network, syslet, guasi, solarisaio, and more), I/O priorities (for
+fio: newer Linux kernels), rate I/O, forked or threaded jobs, and much
+fio: more. It can work on block devices as well as files. fio displays all
+fio: sorts of I/O performance information. Fio is in wide use in many
+fio: places, for both benchmarking, QA, and verification purposes.
+fio: